Name:		libvpd
Version:	2.2.5
Release:	2%{?dist}
Summary:	VPD Database access library for lsvpd

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://linux-diag.sf.net/Lsvpd.html
Source:		http://downloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz

patch0:		libvpd-2.2.5-configure.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:	sqlite-devel zlib-devel libstdc++-devel libtool autoconf

%description
The libvpd package contains the classes that are used to access a vpd database
created by vpdupdate in the lsvpd package.

%package devel
Summary:	Header files for libvpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release} sqlite-devel pkgconfig
%description devel
Contains header files for building with libvpd.

%prep
%setup -q
%patch0 -p1

./bootstrap.sh

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

# re-symlink *.so to SONAME, fix the symlinks issue by downgrade/upgrade
pushd %{buildroot}%{_libdir}
v=%{version}
version=$(echo ${v%.[0-9]*})
for lib in libvpd libvpd_cxx; do
   rm -f ${lib}.so
   ln -s ${lib}-${version}.so.2 ${lib}.so
done
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%exclude %{_libdir}/*.la
%{_libdir}/libvpd_cxx-2.2.so.*
%{_libdir}/libvpd-2.2.so.*
%dir %{_sharedstatedir}/lsvpd
%{_sharedstatedir}/lsvpd/run.vpdupdate
%{_sysconfdir}/udev/rules.d/90-vpdupdate.rules

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/*.la
%{_includedir}/libvpd-2
%{_libdir}/libvpd_cxx.so
%{_libdir}/libvpd.so
%{_libdir}/pkgconfig/libvpd-2.pc
%{_libdir}/pkgconfig/libvpd_cxx-2.pc

%changelog
* Mon Mar 21 2016 Than Ngo <than@redhat.com> - 2.2.5-2
- re-symlink *.so to SONAME, fix the symlinks issue by downgrade/upgrade

* Tue Dec 15 2015 Sinny Kumari <skumari@redhat.com> - 2.2.5-1
- Resolves: #1148140 - Package update
- Added patch libvpd-2.2.5-configure.patch
 
* Thu Apr 17 2014 Jakub Čajka <jcajka@redhat.com> - 2.2.3-1
- Update to version 2.2.3
- Resolves: #739122 - [6.6 FEAT] libvpd package update - ppc64 

* Mon Jan 31 2011 Jiri Skala <jskala@redhat.com> - 2.1.2-3
- Resolves: #669366 - lsvpd-1.6.10-2.el6.ppc64 requires libvpd_cxx-2.1.so.1

* Mon Jan 10 2011 Jiri Skala <jskala@redhat.com> - 2.1.2-2
- Resolves: #632738 - corrects permissions of source and doc files (tarball)

* Thu Jan 06 2011 Jiri Skala <jskala@redhat.com> - 2.1.2-1
- Resolves: #632738 - [6.1 FEAT] Package Update: libvpd

* Thu Feb 18 2010 Roman Rakus <rrakus@redhat.com> - 2.1.1-3
- Get a rid of define {name,version}

* Thu Feb 11 2010 Roman Rakus <rrakus@redhat.com> - 2.1.1-2
- RHEL-6 initial build

* Wed Dec 02 2009 Eric Munson <ebmunson@us.ibm.com> - 2.1.1-1
- Update to latest libvpd release

* Wed Nov 18 2009 Eric Munson <ebmunson@us.ibm.com> - 2.1.0-5
- Bump dist for rebuild for broken dependencies

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Eric Munson <ebmunson@us.ibm.com> - 2.1.0-3
- Bump dist for rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 17 2008 Eric Munson <ebmunson@us.ibm.com> - 2.0.1-1
- Update for libvpd-2.0.1

* Tue Feb 26 2008 Eric Munson <ebmunson@us.ibm.com> - 2.0.0-2
- Updating release number for new build in FC

* Mon Feb 25 2008 Eric Munson <ebmunson@us.ibm.com> - 2.0.0-1
- Updated library to use sqlite instead of berkeley db.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0-2
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Eric Munson <ebmunson@us.ibm.com> -1.5.0-1
- Moved pkgconfig to devel Requires
- Updated %%defattrs to -,root,root,-
- Added AUTHORS to %%doc

* Thu Jan 03 2008 Eric Munson <ebmunson@us.ibm.com> - 1.5.0-0
- Updated Requires and Provides fields per fedora community request

* Fri Dec 07 2007 Brad Peters <bpeters@us.ibm.com> - 1.4.2-0
- Added functions to helper_functions class
- Mnior changes necessary to support new device discovery method

* Fri Nov 16 2007 Eric Munson <ebmunson@us.ibm.com> - 1.4.1-1
- Removing INSTALL from docs and docs from -devel package
- Fixing Makfile.am so libraries have the .so extension
- Using %%configure, %%{__make}, and %%{__rm} calls
- Changing source URL

* Wed Oct 31 2007 Eric Munson <ebmunson@us.ibm.com> - 1.4.0-2
- Changing files lists for libdirs to match library file names

* Tue Oct 30 2007 Eric Munson <ebmunson@us.ibm.com> - 1.4.0-1
- Adding C Library to files lists.

* Sat Oct 20 2007 Ralf Corsepius <rc040203@freenet.de>	- 1.3.5-4
- Various spec-file fixes.

* Fri Oct 19 2007 Eric Munson <ebmunson@us.ibm.com> - 1.3.5-3
- Removed hard coded /usr/lib from spec file
- Install now sets all headers to 644
- Updated license
